# Import arcpy module
import arcpy
import csv
import xlrd

ads = arcpy.GetParameterAsText(0)
sourcefile = arcpy.GetParameterAsText(1)
workspace = arcpy.GetParameterAsText(2)
arcpy.SetParameterAsText(3, ads)
print workspace
#workspace="C:\\Users\\00jdunca\\OfflineDocuments\\ForestHealthAtlas\\NAReplacementData\\"
#fixfile="C:\\Users\\00jdunca\\OfflineDocuments\\ForestHealthAtlas\\NAReplacementData\\DCAFixes.xls"
fixfile=workspace + "\\DCAFixes.csv"
wb = xlrd.open_workbook(sourcefile)
sh = wb.sheet_by_name('DCAFixes')
your_csv_file = open(workspace + '\\DCAFixes.csv', 'wb')
wr = csv.writer(your_csv_file, quoting=csv.QUOTE_ALL)
for rownum in xrange(sh.nrows):
	wr.writerow(sh.row_values(rownum))

your_csv_file.close()
fixarr={}
#fixfile='C:\\Users\\00jdunca\\OfflineDocuments\\ForestHealthAtlas\\ADS_NA_SpatialJoin_tables\\Combined.csv'
#ads="C:\\Users\\00jdunca\\OfflineDocuments\\ForestHealthAtlas\\CurrentRegionalADS_GDB.gdb\\VT_ME_NH_NY_MA_ADS_FewerFields"

with open (fixfile,'rb') as csvfile:
	reader=csv.reader(csvfile, delimiter=',',quotechar='"')
	first=True
	for row in reader:
		if first==True:
			reader.next()
			first=False
		else:
			
			fixarr[row[0]]={"DCA1":row[1],"DCA2":row[2],"DCA3":row[3]}
rows = arcpy.UpdateCursor(ads, "", "", "Object_ID, DCA1, DCA2, DCA3","")
for row in rows:
	if row.Object_ID in fixarr:
		newdata=fixarr[row.Object_ID]
		print "Found it! Object Id is " + str(row.Object_ID) + " and " + str(row.DCA1) + "will become " + str(fixarr[row.Object_ID]['DCA1'])
		row.DCA1=newdata['DCA1']
		row.DCA2=newdata['DCA2']
		row.DCA3=newdata['DCA3']
		rows.updateRow(row)
	#there is a weird DCA code from New York, just do it by force
	if row.DCA1==120001200:
		row.DCA1=12000
		rows.updateRow(row)
	if row.DCA1<10000:
		row.DCA1=99999
		rows.updateRow(row)
		
